Bug 2019835 - Digikam can no longer update image metadata
Summary: Digikam can no longer update image metadata
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: digikam
Version: 35
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-11-03 12:47 UTC by Roger Noble
Modified: 2021-11-17 01:12 UTC (History)
7 users (show)

Fixed In Version: digikam-7.3.0-4.fc35
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-11-17 01:12:47 UTC
Type: Bug


Attachments (Terms of Use)

Description Roger Noble 2021-11-03 12:47:12 UTC
Description of problem:

Attempting to update image metadata in Digikam fails, producing the error

digikam.metaengine: Cannot save metadata using Exiv2   (Error # 21 :  "Failed to write image"


Version-Release number of selected component (if applicable):

7.20.0

How reproducible:

Always


Steps to Reproduce:
1. In Digikam select Item->Edit Metadata... for an image
2. Change any of the XMP data
3. Click on OK

Actual results:

The metadata are not updated. The above error is produced on the terminal.


Expected results:

The metadata should be updated.


Additional info:

This worked fine with the same version of Digikam in Fedora 34.

Comment 1 Roger Noble 2021-11-03 16:52:59 UTC
Sorry typo, the version of digkam was 7.2.0. I've built Digikam 7.3.0 on Fedora 35 and it has the same problem.

Comment 2 Rex Dieter 2021-11-03 17:52:14 UTC
Possible this is an exiv2 issue too (per the error message).  Mind reporting this upstream to bugs.kde.org ?

Comment 3 Fedora Update System 2021-11-03 18:02:47 UTC
FEDORA-2021-33b95039f8 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-33b95039f8

Comment 4 Roger Noble 2021-11-03 19:40:52 UTC
Unfortunately exiv2-0.27.5 didn't fix the problem. Thanks for trying though.

I've reported it upstream:

https://bugs.kde.org/show_bug.cgi?id=444903

Comment 5 Rex Dieter 2021-11-04 13:59:54 UTC
Upstream digikam fixes backported, builds underway:
https://koji.fedoraproject.org/koji/taskinfo?taskID=78320161

Comment 6 Fedora Update System 2021-11-04 14:08:45 UTC
FEDORA-2021-33b95039f8 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-33b95039f8`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-33b95039f8

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Roger Noble 2021-11-04 16:18:01 UTC
digikam 7.3.0-3 fixes it. Many thanks for the quick response.

Comment 8 Fedora Update System 2021-11-04 19:33:28 UTC
FEDORA-2021-685f0029c7 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-685f0029c7

Comment 9 Fedora Update System 2021-11-05 01:22:24 UTC
FEDORA-2021-685f0029c7 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-685f0029c7`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-685f0029c7

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2021-11-05 18:50:28 UTC
FEDORA-2021-685f0029c7 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-685f0029c7

Comment 11 Fedora Update System 2021-11-06 01:12:00 UTC
FEDORA-2021-685f0029c7 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-685f0029c7`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-685f0029c7

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2021-11-17 01:12:45 UTC
FEDORA-2021-33b95039f8 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 13 Fedora Update System 2021-11-17 01:12:47 UTC
FEDORA-2021-685f0029c7 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.